Show an Invoice
curl --request GET \
--url https://public-api.stora.co/2025-09/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/invoices/{invoice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"id": "<string>",
"number": "<string>",
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"purchase_order_number": "<string>",
"total": {
"amount": 123,
"formatted": "<string>"
},
"subtotal": {
"amount": 123,
"formatted": "<string>"
},
"tax": {
"amount": 123,
"formatted": "<string>"
},
"amount_paid": {
"amount": 123,
"formatted": "<string>"
},
"amount_due": {
"amount": 123,
"formatted": "<string>"
},
"pre_payment_credit_notes_amount": {
"amount": 123,
"formatted": "<string>"
},
"post_payment_credit_notes_amount": {
"amount": 123,
"formatted": "<string>"
},
"contact": {
"id": "<string>",
"address": "<unknown>",
"email": "jsmith@example.com",
"full_name": "<string>",
"phone_number": "<string>",
"tax_id": "<string>",
"company_registration_number": "<string>",
"metadata": {},
"stripe_customer_id": "<string>",
"tenancies_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"identity_check": {
"required": true
}
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"tenancy": {
"id": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"subscription": {
"id": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_period": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"stripe_subscription_id": "<string>",
"cancelled": true,
"stripe_subscription_schedule_id": "<string>",
"contact": {
"id": "<string>",
"address": "<unknown>",
"email": "jsmith@example.com",
"full_name": "<string>",
"phone_number": "<string>",
"tax_id": "<string>",
"company_registration_number": "<string>",
"metadata": {},
"stripe_customer_id": "<string>",
"tenancies_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"identity_check": {
"required": true
}
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"order": {
"id": "<string>",
"contact": {
"id": "<string>",
"address": "<unknown>",
"email": "jsmith@example.com",
"full_name": "<string>",
"phone_number": "<string>",
"tax_id": "<string>",
"company_registration_number": "<string>",
"metadata": {},
"stripe_customer_id": "<string>",
"tenancies_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"identity_check": {
"required": true
}
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"tenancy": "<unknown>",
"subscription": "<unknown>",
"contract_template": {
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"coupon": {
"type": "<unknown>",
"id": "<string>",
"percent": 123,
"name": "<string>",
"code": "<string>",
"title": "<string>",
"public": true,
"max_redemptions": 123,
"months": 123,
"auto_apply_to": {
"unit_types": true,
"protections": true,
"products": true,
"subscriptions": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"email_notifications": {
"booking_confirmation": true,
"move_in_day": true,
"payment_details": true
},
"metadata": {},
"line_items": [
{
"id": "<string>",
"item": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"size_description": "<string>",
"selling_points": [
"<string>"
],
"stripe_product_id": "<string>",
"require_insurance_coverage": true,
"require_security_deposit": true,
"promotion": {
"type": "<unknown>",
"id": "<string>",
"percent": 123,
"name": "<string>",
"code": "<string>",
"title": "<string>",
"public": true,
"max_redemptions": 123,
"months": 123,
"auto_apply_to": {
"unit_types": true,
"protections": true,
"products": true,
"subscriptions": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"dynamic_pricing": true,
"live_prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"dimensions": {
"length": 123,
"width": 123,
"height": 123
},
"security_deposit": {
"amount": 123,
"formatted": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"_links": {}
},
"price": {
"amount": 123,
"formatted": "<string>"
},
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total": {
"amount": 123,
"formatted": "<string>"
},
"tax": {
"amount": 123,
"formatted": "<string>"
},
"total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
},
"discount_total": {
"amount": 123,
"formatted": "<string>"
}
}
],
"payment_method": "<string>",
"payment_url": "<string>",
"purchase_order_number": "<string>",
"starts_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tax": {
"amount": 123,
"formatted": "<string>"
},
"subtotal": {
"amount": 123,
"formatted": "<string>"
},
"total": {
"amount": 123,
"formatted": "<string>"
},
"total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
},
"total_discount": {
"amount": 123,
"formatted": "<string>"
},
"one_time_total": {
"amount": 123,
"formatted": "<string>"
},
"one_time_total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
}
},
"tenancy": "<unknown>",
"line_items": [
{
"item": {
"id": "<string>"
},
"price": {
"amount": 123,
"formatted": "<string>"
},
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
},
"contact": {
"id": "<string>",
"address": "<unknown>",
"email": "jsmith@example.com",
"full_name": "<string>",
"phone_number": "<string>",
"tax_id": "<string>",
"company_registration_number": "<string>",
"metadata": {},
"stripe_customer_id": "<string>",
"tenancies_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"identity_check": {
"required": true
}
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"order": {
"id": "<string>",
"contact": {
"id": "<string>",
"address": "<unknown>",
"email": "jsmith@example.com",
"full_name": "<string>",
"phone_number": "<string>",
"tax_id": "<string>",
"company_registration_number": "<string>",
"metadata": {},
"stripe_customer_id": "<string>",
"tenancies_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"identity_check": {
"required": true
}
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"tenancy": "<unknown>",
"subscription": "<unknown>",
"contract_template": {
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"coupon": {
"type": "<unknown>",
"id": "<string>",
"percent": 123,
"name": "<string>",
"code": "<string>",
"title": "<string>",
"public": true,
"max_redemptions": 123,
"months": 123,
"auto_apply_to": {
"unit_types": true,
"protections": true,
"products": true,
"subscriptions": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"email_notifications": {
"booking_confirmation": true,
"move_in_day": true,
"payment_details": true
},
"metadata": {},
"line_items": [
{
"id": "<string>",
"item": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"size_description": "<string>",
"selling_points": [
"<string>"
],
"stripe_product_id": "<string>",
"require_insurance_coverage": true,
"require_security_deposit": true,
"promotion": {
"type": "<unknown>",
"id": "<string>",
"percent": 123,
"name": "<string>",
"code": "<string>",
"title": "<string>",
"public": true,
"max_redemptions": 123,
"months": 123,
"auto_apply_to": {
"unit_types": true,
"protections": true,
"products": true,
"subscriptions": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"dynamic_pricing": true,
"live_prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"dimensions": {
"length": 123,
"width": 123,
"height": 123
},
"security_deposit": {
"amount": 123,
"formatted": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"_links": {}
},
"price": {
"amount": 123,
"formatted": "<string>"
},
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total": {
"amount": 123,
"formatted": "<string>"
},
"tax": {
"amount": 123,
"formatted": "<string>"
},
"total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
},
"discount_total": {
"amount": 123,
"formatted": "<string>"
}
}
],
"payment_method": "<string>",
"payment_url": "<string>",
"purchase_order_number": "<string>",
"starts_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tax": {
"amount": 123,
"formatted": "<string>"
},
"subtotal": {
"amount": 123,
"formatted": "<string>"
},
"total": {
"amount": 123,
"formatted": "<string>"
},
"total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
},
"total_discount": {
"amount": 123,
"formatted": "<string>"
},
"one_time_total": {
"amount": 123,
"formatted": "<string>"
},
"one_time_total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
}
},
"unit_allocations": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reserved_at": "2023-11-07T05:31:56Z",
"granted_access_at": "2023-11-07T05:31:56Z",
"unit": {
"id": "<string>",
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"unit_type": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"size_description": "<string>",
"selling_points": [
"<string>"
],
"stripe_product_id": "<string>",
"require_insurance_coverage": true,
"require_security_deposit": true,
"promotion": {
"type": "<unknown>",
"id": "<string>",
"percent": 123,
"name": "<string>",
"code": "<string>",
"title": "<string>",
"public": true,
"max_redemptions": 123,
"months": 123,
"auto_apply_to": {
"unit_types": true,
"protections": true,
"products": true,
"subscriptions": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"dynamic_pricing": true,
"live_prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"dimensions": {
"length": 123,
"width": 123,
"height": 123
},
"security_deposit": {
"amount": 123,
"formatted": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"_links": {}
},
"reference_id": "<string>",
"unit_allocation": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"tenancy": "<unknown>"
}
]
},
"subscription": {
"id": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_period": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"stripe_subscription_id": "<string>",
"cancelled": true,
"stripe_subscription_schedule_id": "<string>",
"contact": {
"id": "<string>",
"address": "<unknown>",
"email": "jsmith@example.com",
"full_name": "<string>",
"phone_number": "<string>",
"tax_id": "<string>",
"company_registration_number": "<string>",
"metadata": {},
"stripe_customer_id": "<string>",
"tenancies_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"identity_check": {
"required": true
}
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"order": {
"id": "<string>",
"contact": {
"id": "<string>",
"address": "<unknown>",
"email": "jsmith@example.com",
"full_name": "<string>",
"phone_number": "<string>",
"tax_id": "<string>",
"company_registration_number": "<string>",
"metadata": {},
"stripe_customer_id": "<string>",
"tenancies_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"identity_check": {
"required": true
}
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"tenancy": "<unknown>",
"subscription": "<unknown>",
"contract_template": {
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"coupon": {
"type": "<unknown>",
"id": "<string>",
"percent": 123,
"name": "<string>",
"code": "<string>",
"title": "<string>",
"public": true,
"max_redemptions": 123,
"months": 123,
"auto_apply_to": {
"unit_types": true,
"protections": true,
"products": true,
"subscriptions": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"email_notifications": {
"booking_confirmation": true,
"move_in_day": true,
"payment_details": true
},
"metadata": {},
"line_items": [
{
"id": "<string>",
"item": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"size_description": "<string>",
"selling_points": [
"<string>"
],
"stripe_product_id": "<string>",
"require_insurance_coverage": true,
"require_security_deposit": true,
"promotion": {
"type": "<unknown>",
"id": "<string>",
"percent": 123,
"name": "<string>",
"code": "<string>",
"title": "<string>",
"public": true,
"max_redemptions": 123,
"months": 123,
"auto_apply_to": {
"unit_types": true,
"protections": true,
"products": true,
"subscriptions": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"site": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"directions": {
"google_maps_url": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"access_hours": {
"monday": {
"open": "<string>",
"close": "<string>"
},
"tuesday": {
"open": "<string>",
"close": "<string>"
},
"wednesday": {
"open": "<string>",
"close": "<string>"
},
"thursday": {
"open": "<string>",
"close": "<string>"
},
"friday": {
"open": "<string>",
"close": "<string>"
},
"saturday": {
"open": "<string>",
"close": "<string>"
},
"sunday": {
"open": "<string>",
"close": "<string>"
}
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
},
"dynamic_pricing": true,
"live_prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"dimensions": {
"length": 123,
"width": 123,
"height": 123
},
"security_deposit": {
"amount": 123,
"formatted": "<string>"
},
"images": {
"default": {
"original": "<string>",
"small": "<string>",
"medium": "<string>",
"large": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prices": [
{
"price": {
"amount": 123,
"formatted": "<string>"
},
"stripe_price_id": "<string>"
}
],
"_links": {}
},
"price": {
"amount": 123,
"formatted": "<string>"
},
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total": {
"amount": 123,
"formatted": "<string>"
},
"tax": {
"amount": 123,
"formatted": "<string>"
},
"total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
},
"discount_total": {
"amount": 123,
"formatted": "<string>"
}
}
],
"payment_method": "<string>",
"payment_url": "<string>",
"purchase_order_number": "<string>",
"starts_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tax": {
"amount": 123,
"formatted": "<string>"
},
"subtotal": {
"amount": 123,
"formatted": "<string>"
},
"total": {
"amount": 123,
"formatted": "<string>"
},
"total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
},
"total_discount": {
"amount": 123,
"formatted": "<string>"
},
"one_time_total": {
"amount": 123,
"formatted": "<string>"
},
"one_time_total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
}
},
"tenancy": "<unknown>",
"line_items": [
{
"item": {
"id": "<string>"
},
"price": {
"amount": 123,
"formatted": "<string>"
},
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
},
"line_items": [
{
"description": "<string>",
"accounting_code": "<string>",
"quantity": 123,
"proration": true,
"total": {
"amount": 123,
"formatted": "<string>"
},
"price": {
"amount": 123,
"formatted": "<string>"
},
"tax": {
"amount": 123,
"formatted": "<string>"
},
"total_excluding_tax": {
"amount": 123,
"formatted": "<string>"
},
"discount_total": {
"amount": 123,
"formatted": "<string>"
}
}
]
},
"meta": {
"request_id": "<string>",
"curies": [
{
"href": "<string>",
"templated": true,
"title": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"links": [
{
"name": "<string>",
"url": "<string>",
"kind": "<string>"
}
],
"details": [
{
"message": "<string>",
"pointer": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"links": [
{
"name": "<string>",
"url": "<string>",
"kind": "<string>"
}
],
"details": [
{
"message": "<string>",
"pointer": "<string>"
}
],
"request_id": "<string>"
}
}Invoices
Show an Invoice
Retrieve a specific invoice by its ID.
Supports PDF download. Set application/pdf in the Accept request header.
Required authorization scope: public.invoice:read
GET
/
2025-09
/
invoices
/
{invoice_id}
Show an Invoice
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the invoice
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?
⌘I